`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   19:04:18 02/26/2013
// Design Name:   mb_mcs_sys
// Module Name:   D:/home/design/mb_mcs_sys/test_mb_mcs_sys.v
// Project Name:  mb_mcs_sys
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: mb_mcs_sys
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module test_mb_mcs_sys;

        // Inputs
        reg clk_100m;
        reg Reset;
        reg UART_Rx;
        reg [3:0] dip_sw;
        reg in_clk = 1'b0;

        // Outputs
        wire out_clk;
        wire UART_Tx;
        wire [3:0] led;
        // inout
        tri1       scl;
        tri1       sda;
   

        // Instantiate the Unit Under Test (UUT)
        mb_mcs_sys uut (
                .clk_100m(clk_100m), 
                .in_clk(in_clk), 
                .out_clk(out_clk), 
                .Reset(Reset), 
                .UART_Rx(UART_Rx), 
                .UART_Tx(UART_Tx), 
                .led(led), 
                .dip_sw(dip_sw),
                .scl(scl),
                .sda(sda)
        );

        ///parameter SADR    = 7'b0010_000;
        parameter SADR    = 7'b110_0101;

        // hookup i2c slave model
        i2c_slave_model #(SADR) i2c_slave (
                .scl(scl),
                .sda(sda)
        );

        // create i2c lines
   
        initial begin
                // Initialize Inputs
                repeat(1000000000)begin
                  clk_100m = 0;
                  #5;
                  clk_100m = 1;
                  #5;
                  end
                $stop;
        end
 
 
        initial begin
                // Initialize Inputs
                repeat(10000000)begin
                  in_clk = 0;
                  #9.25;
                  in_clk = 1;
                  #9.25;
           end
        end
   
        initial begin
                // Initialize Inputs
                Reset = 1;
                UART_Rx = 0;
                dip_sw = 0;

                // Wait 100 ns for global reset to finish
                #100;
                Reset = 0;        
                // Add stimulus here
        end
endmodule

